REM i2 Object Discovery Agent Start Script

setlocal

REM IF WBIA_RUNTIME is set use ODK Runtime scripts

if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM Call CWODAEnv
call "%WBIA_RUNTIME%"\bin\CWODAEnv

goto LAUNCH

:CROSSWORLDS
REM Invoke the CWODAENV.bat
call "%CROSSWORLDS%"\bin\CWODAEnv



:LAUNCH

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%";"%CROSSWORLDS%"\bin;%PATH%
set AGENTNAME=i2ODA
set AGENT="%CROSSWORLDS%"\ODA\i2\i2ODA.jar
set AGENTCLASS=com.crossworlds.oda.i2oda.i2ODA
set I2_CIS_HOME_DIR=

set I2JAR="%I2_CIS_HOME_DIR%"\lib\cis.jar;"%I2_CIS_HOME_DIR%"\lib\log4j.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\jmxri.jar;"%I2_CIS_HOME_DIR%"\lib\jaas.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\cis-sso.jar;"%I2_CIS_HOME_DIR%"\lib\cis-sso-spi.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\jdom.jar;"%I2_CIS_HOME_DIR%"\lib\cis-util.jar;"%I2_CIS_HOME_DIR%"\lib\metadata-service.jar

set I2PROPERTIES="%I2_CIS_HOME_DIR%"\properties;
set CONNECTORJAR="%I2_CIS_HOME_DIR%"\lib\connector.jar
set JCLASSES=%AGENT%;%I2JAR%;%I2PROPERTIES%;%JCLASSES%;%J2EE%;%CONNECTORJAR%

REM Start the Object Discovery Agent
%CWJAVA% -Duser.home="%CROSSWORLDS%" -Djava.library.path=%JLIBRARIES% -Djava.ext.dirs="%JRE_EXT_DIRS%" -mx128m  %ORB_DEP% -classpath %JCLASSES% com.crossworlds.ODKInfrastructure.%CONNECTION% -l%AGENTNAME% -c%AGENTCLASS% 

endlocal
pause



