@echo off

setlocal

REM Set Adapter Specific Variables
REM set the i2 CIS installation directory here
REM
set I2_CIS_HOME_DIR=


REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.i2.i2AdapterAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2


set CW_I2JAR=CWi2.jar
set I2JAR="%I2_CIS_HOME_DIR%"\lib\cis.jar;"%I2_CIS_HOME_DIR%"\lib\log4j.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\jmxri.jar;"%I2_CIS_HOME_DIR%"\lib\jaas.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\cis-sso.jar;"%I2_CIS_HOME_DIR%"\lib\cis-sso-spi.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\jdom.jar;"%I2_CIS_HOME_DIR%"\lib\cis-util.jar;
set I2JAR=%I2JAR%;"%I2_CIS_HOME_DIR%"\lib\connector.jar


set I2PROPERTIES="%I2_CIS_HOME_DIR%"\properties;


REM End Adapter Specific Tasks

REM IF WBIA_RUNTIME is set use start_adapter launcher to run adapter

if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM Call CWConnEnv
call "%WBIA_RUNTIME%"\bin\CWConnEnv

REM set the directory where the specific connector resides
set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM Set variables needed for start_adapter callee

set JVMArgs=
set JCLASSES=.;%CW_I2JAR%;%I2JAR%;%I2PROPERTIES%;%JCLASSES%
set LibPath=
set ExtDirs=

call "%WBIA_RUNTIME%\bin\start_adapter" -n%CONNAME% -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5

pause
goto END
:CROSSWORLDS

REM call CWConnEnv
call "%CROSSWORLDS%"\bin\CWConnEnv

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%


set JCLASSES=.;%CW_I2JAR%;%I2JAR%;%I2PROPERTIES%;%JCLASSES%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End

%CWJAVA% -mx128m %ORB_PROPERTY% -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS%  -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR%;"%MQ_LIB%";%JRE_EXT_DIRS% -Duser.home="%CROSSWORLDS%" -classpath %JCLASSES% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME% -s%SERVER% %3 %4 %5

:END
endlocal

pause
